Subject: Re: [PATCH net-next v3 2/2] net/mlx5: implement swp_l4_csum_mode via devlink params

From: Jakub Kicinski <[email-masked]>
Date: Mon, 10 Nov 2025 14:58:31 -0800

On Mon, 10 Nov 2025 08:05:57 -0500 Daniel Zahka wrote:
> On 11/9/25 5:39 AM, Jiri Pirko wrote:
> > Daniel, I asked twice if this could be a non-driver param. Jakub asked
> > for clearer definition of this know in that context.
> >
> > Not sure why you are ignoring this :/
> >  
> 
> My apologies. I think there was a miscommunication. I assumed Jakub's 
> question was directed towards you. I have no objection to making it a 
> generic param; I will do so in v4. It sounded to me like Jakub was 
> wanting more information on what exactly this setting does beyond what I 
> was able to provide in the commit message and mlx5 devlink 
> documentation. My understanding is that this setting pertains to tx 
> csums and how the device expects the driver to prepare partial csums 
> when doing tx cso. I don't really know more than that. Especially not 
> something like what the FW's role in implementing this is.

Right, per To: field of my email I as asking Jiri for clarifications.

Since we struggle to understand the semantics nack on making this
generic. Chances are whoever reuses the "generic" param will have a
different interpretation of its meaning, so what's the point of making
it generic.